Package twisted :: Package protocols :: Module ftp :: Class IDTPParent

[frames | no frames]

## Class IDTPParent

    object --+
             |
            IDTPParent

An interface for protocols that wish to use a DTP sub-protocol and factory.

Method Summary
| ``finishedFileTransfer`(self)` performs cleanup on the dtpInstance once the transfer is complete
Inherited from object
| `__init__(...)`
| `__delattr__(...)`
| `__getattribute__(...)`
| `__hash__(...)`
| `__reduce__(...)`
| `__repr__(...)`
| `__setattr__(...)`
| `__str__(...)`
Inherited from type
| `__new__(...)`

Instance Variable Summary
| `dtpFactory`: the dtp factory that creates an instance when needed
| `dtpInstance`: the instance that the factory creates.
| `dtpPort`: value returned from listenTCP or connectTCP
| `dtpTxfrMode`: binary or ascii, right now dtp ignores this and only does binary transfers
| `peerHost`: the (type,ip,port) of the other server

Method Details

### finishedFileTransfer(self)

performs cleanup on the dtpInstance once the transfer is complete

Instance Variable Details

### dtpFactory

the dtp factory that creates an instance when needed

### dtpInstance

the instance that the factory creates. since only one dtp instance is created, this will be a single object reference

### dtpPort

value returned from listenTCP or connectTCP

### dtpTxfrMode

binary or ascii, right now dtp ignores this and only does binary transfers

### peerHost

the (type,ip,port) of the other server

Generated by Epydoc 2.0 on Sat May 15 20:08:57 2004 | http://epydoc.sf.net